open-vm-tools 9.10.2

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RpcDebugRecvMapping Struct Reference
Debugging Tools Plugins

`#include <rpcdebug.h>`

## Data Fields
gchar * | name
RpcDebugRecvFn | recvFn
gpointer | xdrProc
size_t | xdrSize

## Detailed Description

Defines a mapping between a message and a "receive" function.

## Field Documentation

gpointer RpcDebugRecvMapping::xdrProc

If not NULL, should be a xdrproc_t function for deserializing the data in the received message.

size_t RpcDebugRecvMapping::xdrSize

If xdrProc is provided, should be the size of the structure to allocate.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/rpcdebug.h